Subject: Re: [mobile-ip] Heterogeneous Handover - How Would it Work?

From: James Kempf <[email-masked]>
Date: Tue, 7 Aug 2001 08:58:16 -0700

>On the other hand, the home address must belong to some ISP/operator.
>That ISP must provide a home agent and an ip address, and a CoA when the
>MN is connected to other than the home subnet. Other ISPs that are used
>are only access providers, and would give the MN its CoA. This of course
>would cause political problems. Who are the ISPs that are willing to be
>access providers only, and who will be providing home agent and home
>address as well?
>

This is an issue. What happens if you have one access provider on
one interface, say the wCDMA interface, and another on another, say 802.11?
There are now in the US a growing number of 802.11 access providers,
and I can imagine someone with a laptop having a wCDMA modem and
an 802.11 card. 

Maybe something like the "roaming consortia" that have sprung up
around ISP access might evolve, but the protocol design/engineering
issue is whether there is any additional work (such as the NAI in
the roaming consortia example) needed to enable sharing of a home
address among interfaces for which different ISPs are responsible.

Something like SUCV, that would allow an ISP to cryptographically identify
to what other ISP an address belonged, might be useful in this context.

		jak

---

From: "alper" <[email-masked]>
Date: Tue, 7 Aug 2001 15:08:47 -0700

Hello,

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of James Kempf
Sent: 07 Aðustos 2001 Salý 08:58
To: [email-masked]; [email-masked]
Subject: Re: [mobile-ip] Heterogeneous Handover - How Would it Work?

aey > I think this is a good scenario, very desirable and feasible in near
future.

aey > I think there doesn't have to be a roaming agreement. If you want
to use both WLAN and 3G on the same device, you need to make sure you
subscribe to both services. Wherever they are available, your MN can
do an intelligent selection (price, performance, quality, etc..) and
make a handoff from one to another.

aey > the access technologies in each might be different. Current
and possible near future choices are: 802.11b, 802.1x, AAAv6, BURP,
free service..

aey > mobile node should be able to execute one of these independent
form what other interface it has. and once it obtains a care-of
address, the rest is simple mobile ipv6...

aey > if the user is only subscribed to one service, then it can
attempt roaming with those networks that rely on AAA (802.1x,
AAAv6, BURP, ..)

aey > speaking of mobile ipv6, access network shouldn't care what
your home address is (unless it's your identity. but it's not if
we are using AAA). all you need is a careof address. once you have it
you can use it in mobile ipv6 way. (home address option, routing
headers, tunneling..)

		jak

alper

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 8 Aug 2001 16:02:54 +0200 (CEST)

> to what other ISP an address belonged, might be useful in this context.

I didn't read the above in the SUCV draft. SUCV allows nodes to challenge
the node with an SUCV address to show indicate that they have the private
key corresponding to the address. This doesn't identify the ISP as far
as I can tell.
Or do you intend to infer the identity of the ISP from the high-order
bits in the IPv6 address?

  Erik